Permalink
Fetching contributors…
Cannot retrieve contributors at this time
69 lines (63 sloc) 2.54 KB
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = "yard-rest"
s.version = "1.0.5"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["R. Kevin Nelson", "Aisha Fenton", "Sebastian Pape"]
s.date = "2012-04-30"
s.description = "A customized plugin for Yardoc that produces API documentation for Restful web services"
s.email = ""
s.extra_rdoc_files = [
"README.markdown",
"VERSION"
]
s.files = [
"Rakefile",
"example/app/controllers/examples_controller.rb",
"example/doc/README_FOR_API",
"lib/yard-rest.rb",
"lib/yard-rest/rest_filters.rb",
"lib/yard-rest/tags.rb",
"templates/default/class/html/header.erb",
"templates/default/class/html/method_details_list.erb",
"templates/default/class/html/setup.rb",
"templates/default/docstring/html/setup.rb",
"templates/default/docstring/html/text.erb",
"templates/default/fulldoc/html/full_list_resource.erb",
"templates/default/fulldoc/html/full_list_topic.erb",
"templates/default/fulldoc/html/js/rest_plugin.js",
"templates/default/fulldoc/html/setup.rb",
"templates/default/layout/html/footer.erb",
"templates/default/layout/html/index.erb",
"templates/default/layout/html/layout.erb",
"templates/default/layout/html/search.erb",
"templates/default/layout/html/setup.rb",
"templates/default/method_details/html/header.erb",
"templates/default/method_details/html/method_url.erb",
"templates/default/method_details/html/setup.rb",
"templates/default/tags/html/example_request.erb",
"templates/default/tags/html/example_response.erb",
"templates/default/tags/html/generic_tag.erb",
"templates/default/tags/html/index.erb",
"templates/default/tags/html/key_for.erb",
"templates/default/tags/html/value_for.erb",
"templates/default/tags/setup.rb"
]
s.homepage = "https://github.com/spape/yard-rest-plugin"
s.require_paths = ["lib"]
s.rubygems_version = "1.8.21"
s.summary = "A customized plugin for Yardoc that produces API documentation for Restful web services"
if s.respond_to? :specification_version then
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<yard>, ["~> 0.8.1"])
else
s.add_dependency(%q<yard>, ["~> 0.8.1"])
end
else
s.add_dependency(%q<yard>, ["~> 0.8.1"])
end
end